Package com.arms.api.util.communicate.internal

## Interface InternalService

-     @FeignClient(name="loopback",
                   url="http://127.0.0.1:31313")
      public interface InternalService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `create​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `delete​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<PdServiceAndVersionListDTO>>` | `getPdServiceEntityAndVersionList()` |
    `org.springframework.http.ResponseEntity<?>` | `getReqNodesWithoutRoot​(java.lang.String changeReqTableName)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>>` | `getStatusNode​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqAddVO>>` | `reqAddList​(java.lang.String changeReqTableName, java.util.List<java.lang.Long> ids)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>>` | `REQSTATUS_CID_요구사항_이슈_조회​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `update​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_상태_정보_저장하기​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_상태_확인후_ALM처리_및_REQSTATUS_업데이트​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_상황_삭제하기​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_상황_수정하기​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `요구사항_수정하기​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO)` |
    `org.springframework.http.ResponseEntity<ReqAddVO>` | `요구사항조회​(java.lang.String changeReqTableName, java.lang.Long c_id)` |
    `org.springframework.http.ResponseEntity<?>` | `전체_요구사항_상태변경​(java.lang.String changeReqTableName, java.lang.Long stateBeforeChange, java.lang.Long stateAfterChange)` |
    `java.util.List<ReqStatusEntity>` | `제품별_요구사항_상황_조회​(java.lang.String changeReqTableName, ReqStatusDTO reqStatusDTO)` |

- - ### Method Detail

    - #### 요구사항조회

          @GetMapping("/arms/reqAdd/{changeReqTableName}/getNodeDetail.do")
          org.springframework.http.ResponseEntity<ReqAddVO> 요구사항조회​(@PathVariable("changeReqTableName")
                                                                   java.lang.String changeReqTableName,
                                                                   @RequestParam("c_id")
                                                                   java.lang.Long c_id)

    - #### reqAddList

          @GetMapping("/arms/reqAdd/{changeReqTableName}/getNodesWhereInIds.do")
          org.springframework.http.ResponseEntity<java.util.List<ReqAddVO>> reqAddList​(@PathVariable("changeReqTableName")
                                                                                       java.lang.String changeReqTableName,
                                                                                       @RequestParam
                                                                                       java.util.List<java.lang.Long> ids)

    - #### getReqNodesWithoutRoot

          @GetMapping("/arms/reqAdd/{changeReqTableName}/getReqNodesWithoutRoot.do")
          org.springframework.http.ResponseEntity<?> getReqNodesWithoutRoot​(@PathVariable("changeReqTableName")
                                                                            java.lang.String changeReqTableName)

    - #### create

          @PostMapping("/arms/reqAdd/{changeReqTableName}/addNode.do")
          org.springframework.http.ResponseEntity<?> create​(@PathVariable("changeReqTableName")
                                                            java.lang.String changeReqTableName,
                                                            @RequestBody
                                                            ReqAddDTO reqAddDTO)

    - #### update

          @PostMapping("/arms/reqAdd/{changeReqTableName}/updateNode.do")
          org.springframework.http.ResponseEntity<?> update​(@PathVariable("changeReqTableName")
                                                            java.lang.String changeReqTableName,
                                                            @RequestBody
                                                            ReqAddDTO reqAddDTO)

    - #### delete

          @DeleteMapping("/arms/reqAdd/{changeReqTableName}/removeNode.do")
          org.springframework.http.ResponseEntity<?> delete​(@PathVariable("changeReqTableName")
                                                            java.lang.String changeReqTableName,
                                                            @RequestBody
                                                            ReqAddDTO reqAddDTO)

    - #### 요구사항_수정하기

          @PostMapping("/arms/reqAdd/{changeReqTableName}/updateReqAddOnly.do")
          org.springframework.http.ResponseEntity<?> 요구사항_수정하기​(@PathVariable("changeReqTableName")
                                                               java.lang.String changeReqTableName,
                                                               @RequestBody
                                                               ReqAddDTO reqAddDTO)

    - #### 전체_요구사항_상태변경

          @PutMapping("/arms/reqAdd/{changeReqTableName}/updateReqAddState.do")
          org.springframework.http.ResponseEntity<?> 전체_요구사항_상태변경​(@PathVariable("changeReqTableName")
                                                                  java.lang.String changeReqTableName,
                                                                  @RequestParam
                                                                  java.lang.Long stateBeforeChange,
                                                                  @RequestParam
                                                                  java.lang.Long stateAfterChange)

    - #### 요구사항_상태_정보_저장하기

          @PostMapping("/arms/reqStatus/{changeReqTableName}/addStatusNode.do")
          org.springframework.http.ResponseEntity<?> 요구사항_상태_정보_저장하기​(@PathVariable("changeReqTableName")
                                                                     java.lang.String changeReqTableName,
                                                                     @RequestBody
                                                                     ReqStatusDTO reqStatusDTO)

    - #### 제품별_요구사항_상황_조회

          @GetMapping("/arms/reqStatus/{changeReqTableName}/getStatusMonitor.do")
          java.util.List<ReqStatusEntity> 제품별_요구사항_상황_조회​(@PathVariable("changeReqTableName")
                                                         java.lang.String changeReqTableName,
                                                         ReqStatusDTO reqStatusDTO)

    - #### 요구사항_상황_수정하기

          @PutMapping("/arms/reqStatus/{changeReqTableName}/updateStatusNode.do")
          org.springframework.http.ResponseEntity<?> 요구사항_상황_수정하기​(@PathVariable("changeReqTableName")
                                                                  java.lang.String changeReqTableName,
                                                                  @RequestBody
                                                                  ReqStatusDTO reqStatusDTO)

    - #### 요구사항_상황_삭제하기

          @DeleteMapping("/arms/reqStatus/{changeReqTableName}/removeNode.do")
          org.springframework.http.ResponseEntity<?> 요구사항_상황_삭제하기​(@PathVariable("changeReqTableName")
                                                                  java.lang.String changeReqTableName,
                                                                  @RequestBody
                                                                  ReqStatusDTO reqStatusDTO)

    - #### REQSTATUS_CID_요구사항_이슈_조회

          @GetMapping("/arms/reqStatus/{changeReqTableName}/getReqStatusListByCReqLink.do")
          org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>> REQSTATUS_CID_요구사항_이슈_조회​(@PathVariable("changeReqTableName")
                                                                                                            java.lang.String changeReqTableName,
                                                                                                            ReqStatusDTO reqStatusDTO)

    - #### getStatusNode

          @GetMapping("/arms/reqStatus/{changeReqTableName}/getStatusNode.do")
          org.springframework.http.ResponseEntity<java.util.List<ReqStatusEntity>> getStatusNode​(@PathVariable("changeReqTableName")
                                                                                                 java.lang.String changeReqTableName,
                                                                                                 ReqStatusDTO reqStatusDTO)

    - #### 요구사항_상태_확인후_ALM처리_및_REQSTATUS_업데이트

          @PostMapping("/arms/reqStatus/{changeReqTableName}/reqStatusCheckAfterAlmProcess.do")
          org.springframework.http.ResponseEntity<?> 요구사항_상태_확인후_ALM처리_및_REQSTATUS_업데이트​(@PathVariable("changeReqTableName")
                                                                                        java.lang.String changeReqTableName,
                                                                                        @RequestBody
                                                                                        ReqStatusDTO reqStatusDTO)

    - #### getPdServiceEntityAndVersionList

          @GetMapping("/arms/pdService/getPdServiceEntityAndVersionList")
          org.springframework.http.ResponseEntity<java.util.List<PdServiceAndVersionListDTO>> getPdServiceEntityAndVersionList()